{
  "roots": [
    "app_cardflip",
    "app_colormatch",
    "app_finddiff",
    "app_mathquiz",
    "app_sequence",
    "app_spider",
    "app_sudoku",
    "feature_common",
    "feature_game_cardflip",
    "feature_game_colormatch",
    "feature_game_finddiff",
    "feature_game_mathquiz",
    "feature_game_sequence",
    "feature_game_spider",
    "feature_game_sudoku",
    "my_game_center",
    "service_api"
  ],
  "packages": [
    {
      "name": "my_game_center",
      "version": "0.0.0",
      "dependencies": [],
      "devDependencies": [
        "melos"
      ]
    },
    {
      "name": "app_sudoku",
      "version": "1.0.0+1",
      "dependencies": [
        "feature_common",
        "feature_game_sudoku",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_spider",
      "version": "1.0.0+1",
      "dependencies": [
        "feature_common",
        "feature_game_spider",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api",
        "url_launcher"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_mathquiz",
      "version": "1.0.0+1",
      "dependencies": [
        "feature_common",
        "feature_game_mathquiz",
        "flutter",
        "function_tree",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_colormatch",
      "version": "0.0.0",
      "dependencies": [
        "feature_common",
        "feature_game_colormatch",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_sequence",
      "version": "0.0.0",
      "dependencies": [
        "feature_common",
        "feature_game_sequence",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_cardflip",
      "version": "0.0.0",
      "dependencies": [
        "feature_common",
        "feature_game_sequence",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "app_finddiff",
      "version": "0.0.0",
      "dependencies": [
        "feature_common",
        "feature_game_finddiff",
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "service_api",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "flutter_secure_storage",
        "google_sign_in",
        "http",
        "shared_preferences",
        "sign_in_with_apple",
        "uuid"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_common",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "google_mobile_ads",
        "provider",
        "service_api",
        "url_launcher"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_game_sudoku",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_game_spider",
      "version": "1.0.0+1",
      "dependencies": [
        "feature_common",
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "feature_game_colormatch",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_game_mathquiz",
      "version": "0.0.1",
      "dependencies": [
        "feature_common",
        "flutter",
        "function_tree",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_lints",
        "flutter_test"
      ]
    },
    {
      "name": "feature_game_sequence",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_game_cardflip",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "feature_game_finddiff",
      "version": "1.0.0",
      "dependencies": [
        "flutter",
        "provider",
        "service_api"
      ],
      "devDependencies": [
        "flutter_test",
        "lints"
      ]
    },
    {
      "name": "melos",
      "version": "7.3.0",
      "dependencies": [
        "ansi_styles",
        "args",
        "async",
        "cli_launcher",
        "cli_util",
        "collection",
        "conventional_commit",
        "file",
        "glob",
        "graphs",
        "http",
        "meta",
        "mustache_template",
        "path",
        "platform",
        "pool",
        "prompts",
        "pub_semver",
        "pub_updater",
        "pubspec_parse",
        "string_scanner",
        "xml",
        "yaml",
        "yaml_edit"
      ]
    },
    {
      "name": "lints",
      "version": "3.0.0",
      "dependencies": []
    },
    {
      "name": "flutter_test",
      "version": "0.0.0",
      "dependencies": [
        "clock",
        "collection",
        "fake_async",
        "flutter",
        "leak_tracker_flutter_testing",
        "matcher",
        "meta",
        "path",
        "stack_trace",
        "stream_channel",
        "test_api",
        "vector_math"
      ]
    },
    {
      "name": "provider",
      "version": "6.1.5+1",
      "dependencies": [
        "collection",
        "flutter",
        "nested"
      ]
    },
    {
      "name": "flutter",
      "version": "0.0.0",
      "dependencies": [
        "characters",
        "collection",
        "material_color_utilities",
        "meta",
        "sky_engine",
        "vector_math"
      ]
    },
    {
      "name": "flutter_lints",
      "version": "3.0.2",
      "dependencies": [
        "lints"
      ]
    },
    {
      "name": "function_tree",
      "version": "0.9.1",
      "dependencies": []
    },
    {
      "name": "url_launcher",
      "version": "6.3.2",
      "dependencies": [
        "flutter",
        "url_launcher_android",
        "url_launcher_ios",
        "url_launcher_linux",
        "url_launcher_macos",
        "url_launcher_platform_interface",
        "url_launcher_web",
        "url_launcher_windows"
      ]
    },
    {
      "name": "google_mobile_ads",
      "version": "5.3.1",
      "dependencies": [
        "flutter",
        "meta",
        "webview_flutter",
        "webview_flutter_android",
        "webview_flutter_wkwebview"
      ]
    },
    {
      "name": "sign_in_with_apple",
      "version": "7.0.1",
      "dependencies": [
        "flutter",
        "meta",
        "sign_in_with_apple_platform_interface",
        "sign_in_with_apple_web"
      ]
    },
    {
      "name": "google_sign_in",
      "version": "7.2.0",
      "dependencies": [
        "flutter",
        "google_sign_in_android",
        "google_sign_in_ios",
        "google_sign_in_platform_interface",
        "google_sign_in_web"
      ]
    },
    {
      "name": "flutter_secure_storage",
      "version": "9.2.4",
      "dependencies": [
        "flutter",
        "flutter_secure_storage_linux",
        "flutter_secure_storage_macos",
        "flutter_secure_storage_platform_interface",
        "flutter_secure_storage_web",
        "flutter_secure_storage_windows",
        "meta"
      ]
    },
    {
      "name": "uuid",
      "version": "4.5.2",
      "dependencies": [
        "crypto",
        "fixnum",
        "meta"
      ]
    },
    {
      "name": "shared_preferences",
      "version": "2.5.3",
      "dependencies": [
        "flutter",
        "shared_preferences_android",
        "shared_preferences_foundation",
        "shared_preferences_linux",
        "shared_preferences_platform_interface",
        "shared_preferences_web",
        "shared_preferences_windows"
      ]
    },
    {
      "name": "http",
      "version": "1.6.0",
      "dependencies": [
        "async",
        "http_parser",
        "meta",
        "web"
      ]
    },
    {
      "name": "yaml_edit",
      "version": "2.2.2",
      "dependencies": [
        "collection",
        "meta",
        "source_span",
        "yaml"
      ]
    },
    {
      "name": "yaml",
      "version": "3.1.3",
      "dependencies": [
        "collection",
        "source_span",
        "string_scanner"
      ]
    },
    {
      "name": "xml",
      "version": "6.6.1",
      "dependencies": [
        "collection",
        "meta",
        "petitparser"
      ]
    },
    {
      "name": "string_scanner",
      "version": "1.4.1",
      "dependencies": [
        "source_span"
      ]
    },
    {
      "name": "pubspec_parse",
      "version": "1.5.0",
      "dependencies": [
        "checked_yaml",
        "collection",
        "json_annotation",
        "pub_semver",
        "yaml"
      ]
    },
    {
      "name": "pub_updater",
      "version": "0.5.0",
      "dependencies": [
        "http",
        "json_annotation",
        "process",
        "pub_semver"
      ]
    },
    {
      "name": "pub_semver",
      "version": "2.2.0",
      "dependencies": [
        "collection"
      ]
    },
    {
      "name": "prompts",
      "version": "2.0.0",
      "dependencies": [
        "charcode",
        "io"
      ]
    },
    {
      "name": "pool",
      "version": "1.5.2",
      "dependencies": [
        "async",
        "stack_trace"
      ]
    },
    {
      "name": "platform",
      "version": "3.1.6",
      "dependencies": []
    },
    {
      "name": "path",
      "version": "1.9.1",
      "dependencies": []
    },
    {
      "name": "mustache_template",
      "version": "2.0.2",
      "dependencies": []
    },
    {
      "name": "meta",
      "version": "1.16.0",
      "dependencies": []
    },
    {
      "name": "graphs",
      "version": "2.3.2",
      "dependencies": [
        "collection"
      ]
    },
    {
      "name": "glob",
      "version": "2.1.3",
      "dependencies": [
        "async",
        "collection",
        "file",
        "path",
        "string_scanner"
      ]
    },
    {
      "name": "file",
      "version": "7.0.1",
      "dependencies": [
        "meta",
        "path"
      ]
    },
    {
      "name": "conventional_commit",
      "version": "0.6.1+1",
      "dependencies": []
    },
    {
      "name": "collection",
      "version": "1.19.1",
      "dependencies": []
    },
    {
      "name": "cli_util",
      "version": "0.4.2",
      "dependencies": [
        "meta",
        "path"
      ]
    },
    {
      "name": "cli_launcher",
      "version": "0.3.2+1",
      "dependencies": [
        "path",
        "yaml"
      ]
    },
    {
      "name": "async",
      "version": "2.13.0",
      "dependencies": [
        "collection",
        "meta"
      ]
    },
    {
      "name": "args",
      "version": "2.7.0",
      "dependencies": []
    },
    {
      "name": "ansi_styles",
      "version": "0.3.2+1",
      "dependencies": []
    },
    {
      "name": "stream_channel",
      "version": "2.1.4",
      "dependencies": [
        "async"
      ]
    },
    {
      "name": "leak_tracker_flutter_testing",
      "version": "3.0.10",
      "dependencies": [
        "flutter",
        "leak_tracker",
        "leak_tracker_testing",
        "matcher",
        "meta"
      ]
    },
    {
      "name": "vector_math",
      "version": "2.2.0",
      "dependencies": []
    },
    {
      "name": "stack_trace",
      "version": "1.12.1",
      "dependencies": [
        "path"
      ]
    },
    {
      "name": "clock",
      "version": "1.1.2",
      "dependencies": []
    },
    {
      "name": "fake_async",
      "version": "1.3.3",
      "dependencies": [
        "clock",
        "collection"
      ]
    },
    {
      "name": "matcher",
      "version": "0.12.17",
      "dependencies": [
        "async",
        "meta",
        "stack_trace",
        "term_glyph",
        "test_api"
      ]
    },
    {
      "name": "test_api",
      "version": "0.7.6",
      "dependencies": [
        "async",
        "boolean_selector",
        "collection",
        "meta",
        "source_span",
        "stack_trace",
        "stream_channel",
        "string_scanner",
        "term_glyph"
      ]
    },
    {
      "name": "nested",
      "version": "1.0.0",
      "dependencies": [
        "flutter"
      ]
    },
    {
      "name": "sky_engine",
      "version": "0.0.0",
      "dependencies": []
    },
    {
      "name": "material_color_utilities",
      "version": "0.11.1",
      "dependencies": [
        "collection"
      ]
    },
    {
      "name": "characters",
      "version": "1.4.0",
      "dependencies": []
    },
    {
      "name": "url_launcher_windows",
      "version": "3.1.4",
      "dependencies": [
        "flutter",
        "url_launcher_platform_interface"
      ]
    },
    {
      "name": "url_launcher_web",
      "version": "2.4.1",
      "dependencies": [
        "flutter",
        "flutter_web_plugins",
        "url_launcher_platform_interface",
        "web"
      ]
    },
    {
      "name": "url_launcher_platform_interface",
      "version": "2.3.2",
      "dependencies": [
        "flutter",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "url_launcher_macos",
      "version": "3.2.4",
      "dependencies": [
        "flutter",
        "url_launcher_platform_interface"
      ]
    },
    {
      "name": "url_launcher_linux",
      "version": "3.2.1",
      "dependencies": [
        "flutter",
        "url_launcher_platform_interface"
      ]
    },
    {
      "name": "url_launcher_ios",
      "version": "6.3.5",
      "dependencies": [
        "flutter",
        "url_launcher_platform_interface"
      ]
    },
    {
      "name": "url_launcher_android",
      "version": "6.3.24",
      "dependencies": [
        "flutter",
        "url_launcher_platform_interface"
      ]
    },
    {
      "name": "webview_flutter",
      "version": "4.13.0",
      "dependencies": [
        "flutter",
        "webview_flutter_android",
        "webview_flutter_platform_interface",
        "webview_flutter_wkwebview"
      ]
    },
    {
      "name": "webview_flutter_wkwebview",
      "version": "3.23.2",
      "dependencies": [
        "flutter",
        "meta",
        "path",
        "webview_flutter_platform_interface"
      ]
    },
    {
      "name": "webview_flutter_android",
      "version": "4.10.5",
      "dependencies": [
        "flutter",
        "meta",
        "webview_flutter_platform_interface"
      ]
    },
    {
      "name": "sign_in_with_apple_web",
      "version": "3.0.0",
      "dependencies": [
        "flutter",
        "flutter_web_plugins",
        "sign_in_with_apple_platform_interface"
      ]
    },
    {
      "name": "sign_in_with_apple_platform_interface",
      "version": "2.0.0",
      "dependencies": [
        "flutter",
        "meta",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "google_sign_in_web",
      "version": "1.1.0",
      "dependencies": [
        "flutter",
        "flutter_web_plugins",
        "google_identity_services_web",
        "google_sign_in_platform_interface",
        "http",
        "web"
      ]
    },
    {
      "name": "google_sign_in_platform_interface",
      "version": "3.1.0",
      "dependencies": [
        "flutter",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "google_sign_in_ios",
      "version": "6.2.3",
      "dependencies": [
        "flutter",
        "google_sign_in_platform_interface"
      ]
    },
    {
      "name": "google_sign_in_android",
      "version": "7.2.4",
      "dependencies": [
        "flutter",
        "google_sign_in_platform_interface"
      ]
    },
    {
      "name": "flutter_secure_storage_windows",
      "version": "3.1.2",
      "dependencies": [
        "ffi",
        "flutter",
        "flutter_secure_storage_platform_interface",
        "path",
        "path_provider",
        "win32"
      ]
    },
    {
      "name": "flutter_secure_storage_web",
      "version": "1.2.1",
      "dependencies": [
        "flutter",
        "flutter_secure_storage_platform_interface",
        "flutter_web_plugins",
        "js"
      ]
    },
    {
      "name": "flutter_secure_storage_platform_interface",
      "version": "1.1.2",
      "dependencies": [
        "flutter",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "flutter_secure_storage_macos",
      "version": "3.1.3",
      "dependencies": [
        "flutter",
        "flutter_secure_storage_platform_interface"
      ]
    },
    {
      "name": "flutter_secure_storage_linux",
      "version": "1.2.3",
      "dependencies": [
        "flutter",
        "flutter_secure_storage_platform_interface"
      ]
    },
    {
      "name": "fixnum",
      "version": "1.1.1",
      "dependencies": []
    },
    {
      "name": "crypto",
      "version": "3.0.7",
      "dependencies": [
        "typed_data"
      ]
    },
    {
      "name": "shared_preferences_windows",
      "version": "2.4.1",
      "dependencies": [
        "file",
        "flutter",
        "path",
        "path_provider_platform_interface",
        "path_provider_windows",
        "shared_preferences_platform_interface"
      ]
    },
    {
      "name": "shared_preferences_web",
      "version": "2.4.3",
      "dependencies": [
        "flutter",
        "flutter_web_plugins",
        "shared_preferences_platform_interface",
        "web"
      ]
    },
    {
      "name": "shared_preferences_platform_interface",
      "version": "2.4.1",
      "dependencies": [
        "flutter",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "shared_preferences_linux",
      "version": "2.4.1",
      "dependencies": [
        "file",
        "flutter",
        "path",
        "path_provider_linux",
        "path_provider_platform_interface",
        "shared_preferences_platform_interface"
      ]
    },
    {
      "name": "shared_preferences_foundation",
      "version": "2.5.5",
      "dependencies": [
        "flutter",
        "shared_preferences_platform_interface"
      ]
    },
    {
      "name": "shared_preferences_android",
      "version": "2.4.15",
      "dependencies": [
        "flutter",
        "shared_preferences_platform_interface"
      ]
    },
    {
      "name": "web",
      "version": "1.1.1",
      "dependencies": []
    },
    {
      "name": "http_parser",
      "version": "4.1.2",
      "dependencies": [
        "collection",
        "source_span",
        "string_scanner",
        "typed_data"
      ]
    },
    {
      "name": "source_span",
      "version": "1.10.1",
      "dependencies": [
        "collection",
        "path",
        "term_glyph"
      ]
    },
    {
      "name": "petitparser",
      "version": "7.0.1",
      "dependencies": [
        "collection",
        "meta"
      ]
    },
    {
      "name": "json_annotation",
      "version": "4.9.0",
      "dependencies": [
        "meta"
      ]
    },
    {
      "name": "checked_yaml",
      "version": "2.0.4",
      "dependencies": [
        "json_annotation",
        "source_span",
        "yaml"
      ]
    },
    {
      "name": "process",
      "version": "5.0.5",
      "dependencies": [
        "file",
        "path",
        "platform"
      ]
    },
    {
      "name": "io",
      "version": "1.0.5",
      "dependencies": [
        "meta",
        "path",
        "string_scanner"
      ]
    },
    {
      "name": "charcode",
      "version": "1.4.0",
      "dependencies": []
    },
    {
      "name": "leak_tracker_testing",
      "version": "3.0.2",
      "dependencies": [
        "leak_tracker",
        "matcher",
        "meta"
      ]
    },
    {
      "name": "leak_tracker",
      "version": "11.0.2",
      "dependencies": [
        "clock",
        "collection",
        "meta",
        "path",
        "vm_service"
      ]
    },
    {
      "name": "term_glyph",
      "version": "1.2.2",
      "dependencies": []
    },
    {
      "name": "boolean_selector",
      "version": "2.1.2",
      "dependencies": [
        "source_span",
        "string_scanner"
      ]
    },
    {
      "name": "flutter_web_plugins",
      "version": "0.0.0",
      "dependencies": [
        "flutter"
      ]
    },
    {
      "name": "plugin_platform_interface",
      "version": "2.1.8",
      "dependencies": [
        "meta"
      ]
    },
    {
      "name": "webview_flutter_platform_interface",
      "version": "2.14.0",
      "dependencies": [
        "flutter",
        "meta",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "google_identity_services_web",
      "version": "0.3.3+1",
      "dependencies": [
        "meta",
        "web"
      ]
    },
    {
      "name": "win32",
      "version": "5.15.0",
      "dependencies": [
        "ffi"
      ]
    },
    {
      "name": "path_provider",
      "version": "2.1.5",
      "dependencies": [
        "flutter",
        "path_provider_android",
        "path_provider_foundation",
        "path_provider_linux",
        "path_provider_platform_interface",
        "path_provider_windows"
      ]
    },
    {
      "name": "ffi",
      "version": "2.1.4",
      "dependencies": []
    },
    {
      "name": "js",
      "version": "0.6.7",
      "dependencies": [
        "meta"
      ]
    },
    {
      "name": "typed_data",
      "version": "1.4.0",
      "dependencies": [
        "collection"
      ]
    },
    {
      "name": "path_provider_windows",
      "version": "2.3.0",
      "dependencies": [
        "ffi",
        "flutter",
        "path",
        "path_provider_platform_interface"
      ]
    },
    {
      "name": "path_provider_platform_interface",
      "version": "2.1.2",
      "dependencies": [
        "flutter",
        "platform",
        "plugin_platform_interface"
      ]
    },
    {
      "name": "path_provider_linux",
      "version": "2.2.1",
      "dependencies": [
        "ffi",
        "flutter",
        "path",
        "path_provider_platform_interface",
        "xdg_directories"
      ]
    },
    {
      "name": "vm_service",
      "version": "15.0.2",
      "dependencies": []
    },
    {
      "name": "path_provider_foundation",
      "version": "2.4.3",
      "dependencies": [
        "flutter",
        "path_provider_platform_interface"
      ]
    },
    {
      "name": "path_provider_android",
      "version": "2.2.20",
      "dependencies": [
        "flutter",
        "path_provider_platform_interface"
      ]
    },
    {
      "name": "xdg_directories",
      "version": "1.1.0",
      "dependencies": [
        "meta",
        "path"
      ]
    }
  ],
  "configVersion": 1
}